#!/bin/sh
# This script removes some stuff in `www/node_modules` that the app doesn't need to run.
# It removes about 6MB from the build size.

cd www/node_modules
rm -rf array-parallel
rm -rf codemirror
rm -rf codemirror-spell-checker
rm -rf dom7
rm -rf matches-selector
rm -rf path-to-regexp
rm -rf ssr-window
rm -rf template7
rm -rf throttleit
rm -rf tiny-emitter
rm -rf typo-js

cd @fortawesome/fontawesome-free
rm -rf js
rm -rf less
rm -rf scss
rm -rf sprites
rm -rf svgs
cd ../..

cd jquery
rm -rf src
rm -rf external
cd ..

cd framework7
rm -rf components
rm -rf less
rm -rf modules
rm -rf utils
cd css
rm framework7.bundle.css framework7.bundle.rtl.css framework7.css framework7.rtl.css
cd ../js
rm framework7-lite* framework7.bundle.d.ts framework7.bundle.js framework7.d.ts framework7.js framework7.min.js framework7.min.js.map
cd ..
rm framework7*

echo "Cleanup finished"